Обновление до ASPLinux 10

Автор: Mycopka Дата: 31.10.2004 11:48 Выложите __headers__ 10 версии для тестирования возможности обновления ASPLinux 9.2 до 10. Pls.
Re: Обновление до ASPLinux 10 03.11.2004 07:10Mycopka С заголовками разобрался --- у Вас сильно изменился yum.

Теперь yum обладает необходимой информативностью в ходе своей работы, что весьма похвально, однако:

1. при установке на 9.2 либо была проигнорирована зависимость с python 2.3, либо не определялась папка для скриптов, вместо записи в папку python2.2 была создана python2.3.

2. Пакет yum-headers не имеет никакого отношения к ASP10 -- это заголовки для ASP9.2.

3. При обновлении пишет ошибку контрольной суммы (Errno -1)
Re: Обновление до ASPLinux 10 05.11.2004 00:00Mycopka 4.
---
Resolving Dependencies
libgnomeprintui22-2.8.0-1 100% |=========================| 15 kB 00:01
libgnomeprintui22-2.8.0-1.i386.rpm: [Errno -1] Header is not complete.
libgnomeprintui22-2.8.0-1.i386.rpm: [Errno 4] IOError: [Errno ftp error] (113, 'No route to host')
---
Re: Обновление до ASPLinux 10 09.11.2004 14:42Violet Добрый день. По словам техподдержки, для правильного обновления, сперва нужно обновить pyton & rpm и все, что они за собой потянут (это делается "руками";-), далее следует обновить yum и уже после этого пользоваться yum-ом для обновления системы.
Re: Обновление до ASPLinux 10 09.11.2004 19:37Mycopka Спасибо, уже пробую:-)
Re: Обновление до ASPLinux 10 10.11.2004 20:50Mycopka ---
[root@localhost root]# yum update rpm
Включение file:///etc/yum.conf в конфигурацию
Включение file:///etc/yum.d/local_base_10.yum в конфигурацию
Получение файлов заголовков с серверов
Сервер: ASPLinux 10 Local Base
Поиск обновленных пакетов
Получение необходимых заголовков
Разрешение зависимостей
.....package blt needs libtcl8.3.so (not provided)
package python-imaging needs libtcl8.3.so (not provided)
package sketch needs libtcl8.3.so (not provided)
package blt needs libtk8.3.so (not provided)
package python-imaging needs libtk8.3.so (not provided)
package sketch needs libtk8.3.so (not provided)
---
Re: Обновление до ASPLinux 10 11.11.2004 14:06Violet Обновлять pyton и rpm нужно "руками", а не yum-ом
Re: Обновление до ASPLinux 10 11.11.2004 22:12Mycopka Сделал. Python, rpm и yum стоят. Однако наткнулся на извечную проблему: ни одно из ядер 2.6 не видит мой SATA диск. Материнка: ASUS P4C800-E Deluxe.
Re: Обновление до ASPLinux 10 25.11.2004 12:29vadim у меня P4P800 (тот же южный чип) - FC3 на SATA-винт стал
Re: Обновление до ASPLinux 10 25.11.2004 21:10Mycopka Проблемы возникли только при обновлении YUM'ом. При установке с [ftp.asplinux.ru] никаких проблем не возникло. Более того кроме нормального (как **/dev/sda**) определения харда наконец-то заработал звук **5.1** ... и зачем мне теперь Windows? Улыбка))
Re: Обновление до ASPLinux 10 04.01.2005 09:57B.X Violet писал(а):

> Обновлять pyton и rpm нужно "руками", а не yum-ом.

А руками это как?
rpm -ihv rpm* python*

или руками - это значит
configure make make install? из исходников?
Re: Обновление до ASPLinux 10 04.01.2005 16:34Mycopka Нет из исходников не обязательно, ставь rpm'ы как обычно.

Однако я забил на это дело (наверно небольшая кривость рук не дала мне нормально обновить X86free до X.org и поставить udev) -- проще оказалось поставить систему с имиджей. Как дела обстоят сейчас не знаю -- обновилось очень много пакетов и, возможно, имеет смысл попробовать от'yum'иться:-)
Re: Обновление до ASPLinux 10 04.01.2005 16:38Mycopka Кстати, я бы не отказался бы, если разработчики выложили бы **все** rpm'ы в репозиторий, а не только *.img __не__ бета версии ASPLinux 10...

И, я думаю, не только я Улыбка
Re: Обновление до ASPLinux 10 06.01.2005 00:53XMan > и зачем мне теперь Windows? Улыбка))

Для звука 7.1 Улыбка

PS. В очередной раз удивляюсь yum-у. Ну почему не взяли apt ? Никаких проблем с обноывлениям, в том числе междистровыми, умеет больше, забирает из сети и разгребает свои "заголовки" в разы быстрее просто потому, что они все в одном tar.gz собраны, работает на куче дистров.
Re: Обновление до ASPLinux 10 10.01.2005 20:40Violet Mycopka писал(а):

> Кстати, я бы не отказался бы, если разработчики выложили бы
> **все** rpm'ы в репозиторий, а не только *.img __не__ бета
> версии ASPLinux 10...
>
> И, я думаю, не только я Улыбка
>

[ftp.asplinux.ru]
Улыбка
Re: Обновление до ASPLinux 10 11.01.2005 17:29B.X XMan писал(а):

> > и зачем мне теперь Windows? Улыбка))
>
> Для звука 7.1 Улыбка

Звук в 10-ке намного лучше звука в 9.2
Звуком в винде был долгое время недоволен... не работает он там по-человечески, периодически пропадал и тд... и только перезагрузка спасала...
Re: Обновление до ASPLinux 10 11.01.2005 22:15Mycopka B.X. писал:
> Звук в 10-ке намного лучше звука в 9.2

Полностью согласен у меня на ADI AD1985 разница между 9.2 и 10 ощущается невооруженным ухом)))

Виолетта Басина писала:
> [ftp.asplinux.ru]
> Улыбка

Видно yum схалявил... ну все равно у меня появились красивая коробочка с надшисью **ASPLINUX v10 Express** Улыбка))
Re: Обновление до ASPLinux 10 11.01.2005 23:47XMan to Mycopka:

> Полностью согласен у меня на ADI AD1985 разница между 9.2 и 10 ощущается невооруженным ухом)))

Это без колонок, что ли ? Улыбка

PS. Послушали бы вы ISA-карты - вот где разница слышна. Причем, очень и очень в пользу 9.2 и всех предыдущих вплоть до RH 5.0
RSS-материал